#include "Broj.h"
																										// Inicijalizaciju polja je moguce odraditi unutar inicijalizacione liste u definiciji konstruktora.
																										// Na ovaj nacin obezbedjujemo da se polja objekta inicijalizuju konkretnim podacima (a ne slucajnim vrednostima) pre ulaska u telo konstruktora
																										// Nije dobra praksa u telu konstruktora pisati -- kod_drzave_ = kod_drzave; -- jer smo na taj nacin polju kod_drzave_ bespotrebno 2 puta dodelili vrednost: jednom slucajnu inicijalizacionu vrednost, jednom u telu konstruktora.
Broj::Broj(const string& kod_drzave, const string& pozivni_broj, const string& broj_telefona, Tip fiksni) : kod_drzave_(kod_drzave), pozivni_broj_(pozivni_broj), broj_telefona_(broj_telefona), fiksni_(fiksni) {}

bool Broj::istaDrzava(const Broj& b) const {
	// this->kod_drzave_ = "..." -- Ova linija koda bi prijavila gresku jer se tekuci objekat tumaci kao konstantan modifikatorom 'const' u potpisu metode
	// broj.kod_drzave = "...' -- Ova linija koda bi prijavila gresku jer se parametar 'broj' tumaci kao referenca na konstantan objekat
	return this->kod_drzave_ == b.kod_drzave_;
}

bool Broj::fiksni() const { 
	return fiksni_ == FIKSNI; 
}

void Broj::pisi() const {
	cout << "+" << kod_drzave_ << " " << pozivni_broj_ << " " << broj_telefona_;
}
