#ifndef KORISNIK_H
#define KORISNIK_H

#include "Broj.h"
#include "Exceptions.h"
#include "Usluge.h"
#include <iostream>
#include <string>
#include <vector>
using namespace std;

class Korisnik {
public:
	Korisnik(const Broj&);
	~Korisnik();

	void evidentirajPoziv(const Broj&, int);
	void evidentirajPoruku(const Broj&, const string&);
	void pisi() const;

private:
	Broj broj_telefona_;
	// Cuvamo vektor pokazivaca na Usluge kako bismo primenili polimorfizam
	vector<Usluga*> usluge_;
};

#endif